﻿@using Place.BL.Models.Review
@using Place.Models.Image
@model Place.BL.Models.Place.PlaceInfoModel
@{
    ViewData["Title"] = @Model.Title;
}

<div class="card">
    <div class="row m-0 ">
        <div class="col-4 card-body p-5">
            <h3>@Model.Title</h3>
            <div class="mt-5">
                <div class="font-weight-bold mb-3">Описание</div>
                @Model.Description
            </div>
        </div>
        <img class="offset-2 col-6 p-0 card-img-top w-100"  src="~/@Model.MainImageFilePath" alt="">
    </div>
</div>


<div class="card-header mt-3">
    <h5>Картиночки кафешечки</h5>
</div>
<div class="row m-0">
    @{
        if (Model.ImagesFilePath.Any())
        {
            foreach (var imgPath in Model.ImagesFilePath)
            {
                <div class="card col-2 p-0 m-3">
                    <img class="card-img-top w-100" src="~/@imgPath">
                </div>
            }
        }
        else
        {
            <div class="card card-body">Дополнительные изображения отсутствуют</div>
        }
    }
</div>

<div class="card-header mt-3 border-top font-weight-bold">Рейтинг: @Model.AverageRating</div>




<div class="card-header mt-3">
    <h6>
        <button class="btn btn-primary" onclick="toggleReviews()">Отзывы</button>
    </h6>
</div>
<div class="card-deck flex-column" id="reviews" style="display: none">
    @{if (Model.Reviews.Any())
      {
          foreach (var review in Model.Reviews)
          {
              <div class="card">
                  <div class="card-body">
                      <h6 class="card-title">
                          Автор: @review.UserName | @review.PostDateTime.ToShortDateString() числа оставил отзыв:
                      </h6>
                      @review.Comment
                  </div>
                  <div class="card-footer">
                      Рейтинг: @review.Rating
                  </div>
              </div>
          }
      }
      else
      {
          <div class="card">
              <div class="card-body">Отсутствует</div>
          </div>
      }
    }
</div>

@{ await Html.RenderPartialAsync("_AddReview", new AddReviewModel() {PlaceId = Model.Id}); }

@{ await Html.RenderPartialAsync("_AddImage", new ImageUploadViewModel() {PlaceId = Model.Id}); }

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    <script>
        function toggleReviews() {
            var x = document.getElementById("reviews");
            if (x.style.display === "none") {
                x.style.display = "block";
            } else {
                x.style.display = "none";
            }
        }
    </script>
}

<script src="~/js/bootstrap-star-raiting.js" asp-append-version="true"></script>
